%{?mingw_package_header}
%bcond_without extras

%global         api_version     1.0

Name:           mingw-gstreamer1-plugins-bad-free
Version:        1.22.7
Release:    2%{?dist}
Summary:        Cross compiled GStreamer1 plug-ins "bad"

License:        LGPL-2.0-or-later AND LGPL-2.0-only
URL:            http://gstreamer.freedesktop.org/
Source0:        gst-plugins-bad-free-%{version}.tar.xz
Source1:        gst-p-bad-cleanup.sh

BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  orc-compiler

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw32-gstreamer1 >= %{version}
BuildRequires:  mingw64-gstreamer1 >= %{version}
BuildRequires:  mingw32-gstreamer1-plugins-base >= %{version}
BuildRequires:  mingw64-gstreamer1-plugins-base >= %{version}
BuildRequires:  mingw32-bzip2
BuildRequires:  mingw64-bzip2
BuildRequires:  mingw32-curl
BuildRequires:  mingw64-curl
BuildRequires:  mingw32-gettext
BuildRequires:  mingw64-gettext
BuildRequires:  mingw32-gnutls
BuildRequires:  mingw64-gnutls
BuildRequires:  mingw32-gsm
BuildRequires:  mingw64-gsm
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw64-gtk3
BuildRequires:  mingw32-jasper
BuildRequires:  mingw64-jasper
BuildRequires:  mingw32-lcms2
BuildRequires:  mingw64-lcms2
BuildRequires:  mingw32-libgcrypt
BuildRequires:  mingw64-libgcrypt
BuildRequires:  mingw32-librsvg2
BuildRequires:  mingw64-librsvg2
BuildRequires:  mingw32-libwebp
BuildRequires:  mingw64-libwebp
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw64-libxml2
BuildRequires:  mingw32-nettle
BuildRequires:  mingw64-nettle
BuildRequires:  mingw32-openexr
BuildRequires:  mingw64-openexr
BuildRequires:  mingw32-openal-soft
BuildRequires:  mingw64-openal-soft
BuildRequires:  mingw32-openjpeg2
BuildRequires:  mingw64-openjpeg2
BuildRequires:  mingw32-opus
BuildRequires:  mingw64-opus
BuildRequires:  mingw32-orc
BuildRequires:  mingw64-orc
BuildRequires:  mingw32-openssl
BuildRequires:  mingw64-openssl
BuildRequires:  mingw32-wavpack
BuildRequires:  mingw64-wavpack

BuildRequires:  glib2-devel


%description
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


%package -n mingw32-gstreamer1-plugins-bad-free
Summary:        %{summary}
Requires:       mingw32-gstreamer1 >= %{version}
Provides:       mingw32-gstreamer1-plugins-bad = 1.14.1-1

%description -n mingw32-gstreamer1-plugins-bad-free
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


%package -n mingw64-gstreamer1-plugins-bad-free
Summary:        %{summary}
Requires:       mingw64-gstreamer1 >= %{version}
Provides:       mingw64-gstreamer1-plugins-bad = 1.14.1-1

%description -n mingw64-gstreamer1-plugins-bad-free
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gst-plugins-bad-%{version}


%build
%mingw_meson \
    -Dpackage-name="Mingw GStreamer-plugins-bad package" \
    -Dpackage-origin="https://gitee.com/opencloudos-stream" \
    %{!?with_extras:-D fbdev=disabled -D decklink=disabled } \
    %{!?with_extras:-D assrender=disabled -D bs2b=disabled } \
    %{!?with_extras:-D chromaprint=disabled -D d3dvideosink=disabled } \
    %{!?with_extras:-D directsound=disabled -D dts=disabled } \
    %{!?with_extras:-D fluidsynth=disabled -D openexr=disabled } \
    %{!?with_extras:-D curl=disabled -D curl-ssh2=disabled } \
    %{!?with_extras:-D ttml=disabled -D kate=disabled } \
    %{!?with_extras:-D modplug=disabled -D ofa=disabled } \
    %{!?with_extras:-D vdpau=disabled -D openal=disabled } \
    %{!?with_extras:-D opencv=disabled -D openjpeg=disabled } \
    %{!?with_extras:-D wildmidi=disabled -D zbar=disabled } \
    %{!?with_extras:-D gme=disabled -D lv2=disabled } \
    -D doc=disabled -D magicleap=disabled -D msdk=disabled \
    -D dts=disabled -D faac=disabled -D faad=disabled \
    -D mpeg2enc=disabled -D mplex=disabled \
    -D neon=disabled -D rtmp=disabled -D rtmp2=disabled \
    -D flite=disabled -D sbc=disabled -D opencv=disabled \
    %{!?with_extras:-D spandsp=disabled -D va=disabled } \
    -D voamrwbenc=disabled -D x265=disabled \
    -D dvbsuboverlay=disabled -D dvdspu=disabled -D siren=disabled \
    -D opensles=disabled -D tinyalsa=disabled \
    -D wasapi=enabled -D wasapi2=disabled -D avtp=disabled \
    -D dc1394=disabled -D directfb=disabled -D iqa=disabled \
    -D libde265=disabled -D musepack=disabled -D openni2=disabled \
    -D sctp=disabled -D svthevcenc=disabled -D voaacenc=disabled \
    -D zxing=disabled -D wpe=disabled -D x11=disabled \
    -D openh264=disabled \
    -D examples=disabled -D tests=disabled

%mingw_ninja


%install
%mingw_ninja_install

rm -f %{buildroot}%{mingw32_libdir}/gstreamer-%{api_version}/*.dll.a
rm -f %{buildroot}%{mingw64_libdir}/gstreamer-%{api_version}/*.dll.a

%mingw_find_lang gstreamer1-plugins-bad-free --all-name


%files -n mingw32-gstreamer1-plugins-bad-free -f mingw32-gstreamer1-plugins-bad-free.lang
%license COPYING
%doc AUTHORS README.md REQUIREMENTS
%{mingw32_bindir}/gst-transcoder-1.0.exe
%{mingw32_bindir}/libgstadaptivedemux-1.0-0.dll
%{mingw32_bindir}/libgstbadaudio-1.0-0.dll
%{mingw32_bindir}/libgstbasecamerabinsrc-1.0-0.dll
%{mingw32_bindir}/libgstcodecs-1.0-0.dll
%{mingw32_bindir}/libgstcodecparsers-1.0-0.dll
%{mingw32_bindir}/libgstd3d11-1.0-0.dll
%{mingw32_bindir}/libgstinsertbin-1.0-0.dll
%{mingw32_bindir}/libgstisoff-1.0-0.dll
%{mingw32_bindir}/libgstmpegts-1.0-0.dll
%{mingw32_bindir}/libgstphotography-1.0-0.dll
%{mingw32_bindir}/libgstplay-1.0-0.dll
%{mingw32_bindir}/libgstplayer-1.0-0.dll
%{mingw32_bindir}/libgstsctp-1.0-0.dll
%{mingw32_bindir}/libgsttranscoder-1.0-0.dll
%{mingw32_bindir}/libgsturidownloader-1.0-0.dll
%{mingw32_bindir}/libgstwebrtc-1.0-0.dll
%{mingw32_bindir}/libgstcuda-1.0-0.dll

%dir %{mingw32_libdir}/gstreamer-%{api_version}
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaccurip.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstadpcmdec.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstadpcmenc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaes.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaiff.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstasfmux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiobuffersplit.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiofxbad.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiolatency.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiomixmatrix.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiovisualizers.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstautoconvert.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstbayer.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstbz2.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstcamerabin.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstclosedcaption.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstcodecalpha.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstcoloreffects.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstcolormanagement.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstcurl.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstd3d.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstd3d11.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdash.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdebugutilsbad.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdecklink.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdirectsoundsrc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdtls.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdvbsubenc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfaceoverlay.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfestival.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfieldanalysis.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfreeverb.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfrei0r.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstgaudieffects.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstgdp.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstgeometrictransform.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstgsm.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgsthls.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstid3tag.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstinter.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstinterlace.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstipcpipeline.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstivfparse.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstivtc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstjp2kdecimator.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstjpegformat.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstlegacyrawparse.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmidi.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmpegpsdemux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmpegpsmux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmpegtsdemux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmpegtsmux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmxf.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstnetsim.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstnvcodec.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstopenal.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstopenexr.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstopenjpeg.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstopusparse.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstpcapparse.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstpnm.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstproxy.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstremovesilence.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstrfbsrc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstrist.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstrsvg.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstrtpmanagerbad.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstrtponvif.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsdpelem.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsegmentclip.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsmooth.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsmoothstreaming.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstspeed.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsubenc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstswitchbin.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgsttimecode.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgsttranscode.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstttmlsubs.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideofiltersbad.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideoframe_audiolevel.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideoparsersbad.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideosignal.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvmnc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstwasapi.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstwebp.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstwinks.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstwinscreencap.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgsty4mdec.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstamfcodec.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstcodectimestamper.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstqsv.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstwin32ipc.dll

%{mingw32_includedir}/gstreamer-%{api_version}/gst/audio/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/basecamerabinsrc/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/codecparsers/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/interfaces/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/insertbin/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/isoff/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/mpegts/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/play/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/player/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/sctp/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/transcoder/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/uridownloader/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/webrtc/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/cuda/
%{mingw32_includedir}/gstreamer-%{api_version}/gst/d3d11/

%{mingw32_libdir}/gstreamer-%{api_version}/include/
%{mingw32_libdir}/libgstadaptivedemux-%{api_version}.dll.a
%{mingw32_libdir}/libgstbadaudio-%{api_version}.dll.a
%{mingw32_libdir}/libgstbasecamerabinsrc-%{api_version}.dll.a
%{mingw32_libdir}/libgstcodecs-%{api_version}.dll.a
%{mingw32_libdir}/libgstcodecparsers-%{api_version}.dll.a
%{mingw32_libdir}/libgstd3d11-%{api_version}.dll.a
%{mingw32_libdir}/libgstinsertbin-%{api_version}.dll.a
%{mingw32_libdir}/libgstisoff-%{api_version}.dll.a
%{mingw32_libdir}/libgstmpegts-%{api_version}.dll.a
%{mingw32_libdir}/libgstphotography-%{api_version}.dll.a
%{mingw32_libdir}/libgstplay-%{api_version}.dll.a
%{mingw32_libdir}/libgstplayer-%{api_version}.dll.a
%{mingw32_libdir}/libgstsctp-%{api_version}.dll.a
%{mingw32_libdir}/libgsttranscoder-%{api_version}.dll.a
%{mingw32_libdir}/libgsturidownloader-%{api_version}.dll.a
%{mingw32_libdir}/libgstwebrtc-%{api_version}.dll.a
%{mingw32_libdir}/libgstcuda-%{api_version}.dll.a

%{mingw32_libdir}/pkgconfig/gstreamer-bad-audio-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-codecparsers-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-insertbin-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-mpegts-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-photography-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-play-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-player-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-plugins-bad-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-sctp-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-transcoder-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-webrtc-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-cuda-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-d3d11-%{api_version}.pc

%{mingw32_datadir}/gstreamer-%{api_version}/presets/
%{mingw32_datadir}/gstreamer-%{api_version}/encoding-profiles/


%files -n mingw64-gstreamer1-plugins-bad-free -f mingw64-gstreamer1-plugins-bad-free.lang
%license COPYING
%doc AUTHORS README.md REQUIREMENTS
%{mingw64_bindir}/gst-transcoder-1.0.exe
%{mingw64_bindir}/libgstadaptivedemux-1.0-0.dll
%{mingw64_bindir}/libgstbadaudio-1.0-0.dll
%{mingw64_bindir}/libgstbasecamerabinsrc-1.0-0.dll
%{mingw64_bindir}/libgstcodecs-1.0-0.dll
%{mingw64_bindir}/libgstcodecparsers-1.0-0.dll
%{mingw64_bindir}/libgstd3d11-1.0-0.dll
%{mingw64_bindir}/libgstinsertbin-1.0-0.dll
%{mingw64_bindir}/libgstisoff-1.0-0.dll
%{mingw64_bindir}/libgstmpegts-1.0-0.dll
%{mingw64_bindir}/libgstphotography-1.0-0.dll
%{mingw64_bindir}/libgstplay-1.0-0.dll
%{mingw64_bindir}/libgstplayer-1.0-0.dll
%{mingw64_bindir}/libgstsctp-1.0-0.dll
%{mingw64_bindir}/libgsttranscoder-1.0-0.dll
%{mingw64_bindir}/libgsturidownloader-1.0-0.dll
%{mingw64_bindir}/libgstwebrtc-1.0-0.dll
%{mingw64_bindir}/libgstcuda-1.0-0.dll

%dir %{mingw64_libdir}/gstreamer-%{api_version}
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaccurip.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstadpcmdec.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstadpcmenc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaes.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaiff.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstasfmux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiobuffersplit.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiofxbad.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiolatency.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiomixmatrix.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiovisualizers.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstautoconvert.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstbayer.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstbz2.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstcamerabin.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstclosedcaption.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstcodecalpha.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstcoloreffects.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstcolormanagement.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstcurl.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstd3d.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstd3d11.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdash.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdebugutilsbad.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdecklink.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdirectsoundsrc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdtls.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdvbsubenc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfaceoverlay.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfestival.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfieldanalysis.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfreeverb.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfrei0r.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstgaudieffects.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstgdp.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstgeometrictransform.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstgsm.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgsthls.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstid3tag.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstinter.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstinterlace.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstipcpipeline.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstivfparse.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstivtc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstjp2kdecimator.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstjpegformat.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstlegacyrawparse.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmidi.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmpegpsdemux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmpegpsmux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmpegtsdemux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmpegtsmux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmxf.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstnetsim.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstnvcodec.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstopenal.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstopenexr.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstopenjpeg.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstopusparse.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstpcapparse.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstpnm.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstproxy.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstremovesilence.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstrfbsrc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstrist.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstrsvg.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstrtpmanagerbad.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstrtponvif.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsdpelem.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsegmentclip.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsmooth.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsmoothstreaming.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstspeed.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsubenc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstswitchbin.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgsttimecode.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgsttranscode.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstttmlsubs.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideofiltersbad.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideoframe_audiolevel.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideoparsersbad.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideosignal.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvmnc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstwasapi.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstwebp.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstwinks.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstwinscreencap.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgsty4mdec.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstamfcodec.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstcodectimestamper.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstqsv.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstwin32ipc.dll

%{mingw64_includedir}/gstreamer-%{api_version}/gst/audio/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/basecamerabinsrc/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/codecparsers/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/interfaces/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/insertbin/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/isoff/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/mpegts/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/play/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/player/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/sctp/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/transcoder/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/uridownloader/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/webrtc/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/cuda/
%{mingw64_includedir}/gstreamer-%{api_version}/gst/d3d11/

%{mingw64_libdir}/gstreamer-%{api_version}/include/
%{mingw64_libdir}/libgstadaptivedemux-%{api_version}.dll.a
%{mingw64_libdir}/libgstbadaudio-%{api_version}.dll.a
%{mingw64_libdir}/libgstbasecamerabinsrc-%{api_version}.dll.a
%{mingw64_libdir}/libgstcodecs-%{api_version}.dll.a
%{mingw64_libdir}/libgstcodecparsers-%{api_version}.dll.a
%{mingw64_libdir}/libgstd3d11-%{api_version}.dll.a
%{mingw64_libdir}/libgstinsertbin-%{api_version}.dll.a
%{mingw64_libdir}/libgstisoff-%{api_version}.dll.a
%{mingw64_libdir}/libgstmpegts-%{api_version}.dll.a
%{mingw64_libdir}/libgstphotography-%{api_version}.dll.a
%{mingw64_libdir}/libgstplay-%{api_version}.dll.a
%{mingw64_libdir}/libgstplayer-%{api_version}.dll.a
%{mingw64_libdir}/libgstsctp-%{api_version}.dll.a
%{mingw64_libdir}/libgsttranscoder-%{api_version}.dll.a
%{mingw64_libdir}/libgsturidownloader-%{api_version}.dll.a
%{mingw64_libdir}/libgstwebrtc-%{api_version}.dll.a
%{mingw64_libdir}/libgstcuda-%{api_version}.dll.a

%{mingw64_libdir}/pkgconfig/gstreamer-bad-audio-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-codecparsers-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-insertbin-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-mpegts-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-photography-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-play-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-player-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-plugins-bad-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-sctp-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-transcoder-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-webrtc-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-cuda-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-d3d11-%{api_version}.pc

%{mingw64_datadir}/gstreamer-%{api_version}/presets/
%{mingw64_datadir}/gstreamer-%{api_version}/encoding-profiles/


%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 1.22.7-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.7-1
- initial build
